CVE-2015-6823

Priority
Description
The allocate_buffers function in libavcodec/alac.c in FFmpeg before 2.7.2
does not initialize certain context data, which allows remote attackers to
cause a denial of service (segmentation violation) or possibly have
unspecified other impact via crafted Apple Lossless Audio Codec (ALAC)
data.
Notes
 mdeslaur> libav in precise doesn't look vulnerable
 ebarretto> as of 2018-09-27, no equivalent fix in libav
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (7:2.8.3-1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (7:2.8.3-1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (7:2.8.3-1)
Patches:
Upstream:http://git.videolan.org/?p=ffmpeg.git;a=commit;h=f7068bf277a37479aecde2832208d820682b35e6
Package
Source: libav (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was not-affected [4:0.8.17-0ubuntu0.12.04.1])
Ubuntu 14.04 LTS (Trusty Tahr):ignored
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
More Information

Updated: 2019-03-19 12:22:55 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)